	.global _c_int00,_c_int01, _c_int10,  _c_int30
	.def _adc_data_start, _dac_data_start


;****************** Interrupt & init vectors zone **********************

              .sect "vectors"
init_vector .word _c_int00	; program start address
int0_vector .word _c_int01	; INTERRUPT-0 rq
int1_vector .word 0		; INTERRUPT-1 rq 
int2_vector .word 0		; INTERRUPT-2 rq
int3_vector .word _c_int30	; INTERRUPT-3 rq = HOST IRQ
int4_vector .word 0 		; XINT-0 
int5_vector .word _c_int10	; RINT-0
int6_vector .word 0		; XINT-1
int7_vector .word 0		; RINT-1
int8_vector .word 0		; TM0-IRQ
int9_vector .word 0		; TM1-IRQ



;***********************************************************************


MDATA_BUF_LEN      .set   3c00H ; maximum data array length

_adc_data_start	.usect "data_buf", MDATA_BUF_LEN ; reserve memory for ADC data
_dac_data_start	.usect "data_buf", MDATA_BUF_LEN ; reserve memory for DAC data


  .end
